﻿namespace HttpClientStudy.UnitTest.HttpClients
{
    /// <summary>
    ///  SimpleHttpClient 测试类
    /// </summary>
    public class SimpleHttpClientTest
    {
        private readonly ITestOutputHelper _logger;
        public SimpleHttpClientTest(ITestOutputHelper outputHelper) 
        {
            _logger = outputHelper;
        }

        [Fact]
        public void Get_Test()
        {
            SimpleHttpClient client = new SimpleHttpClient();

            var result = client.Get(TestConfig.WebApiBaseUrl + "/api/Simple/GetAccount");

            Assert.NotNull(result);
            Assert.NotEmpty(result);
        }

        [Fact]
        public void GetJson_Test()
        {
            SimpleHttpClient client = new SimpleHttpClient();

            var result = client.GetJson<BaseResult<string>>(TestConfig.WebApiBaseUrl + "/api/Simple/GetAccount");

            Assert.NotNull(result);
            Assert.IsAssignableFrom<BaseResult>(result);
            Assert.Equal(1, result.Code);
            Assert.Contains("成功", result.Message);
            Assert.IsType<string>(result.Message);
            Assert.NotEmpty(result.Message);
        }
    }
}
